import { isNoValue as n } from "../utils.mjs";
const p = {
  get(t) {
    let e;
    const o = t.component?.proxy;
    return o && (e = o.value), e;
  },
  set(t, e) {
    if (n(e)) return;
    const o = t.component;
    o && (o.emit("update:value", e), o.emit("change", e));
  }
};
export {
  p as default
};
